--
-- c_circle_example.lua
--
-- Example on how to use the dxDrawCircle function exported from resource 'shader_circle'
--

--[[
dxDrawCircle( x, y, width, height, color, angleStart, angleSweep, borderWidth )

Required arguments:
  x,y          - Origin
  width        - Circle diameter

Optional arguments:
  height	   - Oval height diameter
  color        - Solid color
  angleStart   - Begin angle of arc
  angleSweep   - Size angle of arc
  borderWidth  - Pixel width of outline
]]--


function dxDrawCircle( x, y, width, height, color, angleStart, angleSweep, borderWidth )
	exports.shader_circle:dxDrawCircle( x, y, width, height, color, angleStart, angleSweep, borderWidth )
end

addEventHandler( "onClientRender", root,
	function()
		dxDrawCircle( 300, 300, 200 )
		dxDrawCircle( 300, 300, 500, 500, tocolor(0,0,255,192), 90,  320 )
		dxDrawCircle( 300, 300, 400, 400, tocolor(0,255,0,128), 90,  180, 20 )
		dxDrawCircle( 300, 300, 300, 300, tocolor(255,0,0),     320, 350, 10 )
		dxDrawCircle( 300, 300, 200, 400, tocolor(255,255,0),   0,   360, 5 )
	end
)
